Minifyer not working

Bugs will be moved here once resolved.

Post » Tue Jan 31, 2012 10:04 am

in Construct2 r77
in win64 pro doesnt working minifier.
it say that java 32bit can not work in 64bit system.

previously versions work fine.UncleJey2012-01-31 11:52:53
B
25
S
7
G
3
Posts: 32
Reputation: 2,868

Post » Tue Jan 31, 2012 10:05 am

works well in win 7 64
B
44
S
12
G
13
Posts: 628
Reputation: 10,471

Post » Tue Jan 31, 2012 11:01 am

minifier has some problems when exporting for mobiles (phonegap / appmobi) just don't use it :) this actually should be postes as a bug, shouldn't it?
B
81
S
50
G
10
Posts: 555
Reputation: 13,009

Post » Tue Jan 31, 2012 11:30 am

No. It HTML5 exporting.
I was install java for Eclipse running.
May be in this problem.
B
25
S
7
G
3
Posts: 32
Reputation: 2,868

Post » Tue Jan 31, 2012 12:08 pm

Indeed, try to install a java 64 bits version, it probably will run as expected.

@ranma: If you've noticed troubles with the minifier you should indeed file a bug report with an example capx and precise steps to reproduce the issue for Ashley to investigate.
New to Construct ? Where to start

Image Image
Image Image

Please attach a capx to any help request or bug report !
Moderator
B
247
S
85
G
40
Posts: 7,000
Reputation: 57,805

Post » Tue Jan 31, 2012 1:34 pm

i just tried, but it worked without problems. maybe it was r76 specific as I didn't use minifier since then and updated to 77 in the meantime.
B
81
S
50
G
10
Posts: 555
Reputation: 13,009

Post » Tue Jan 31, 2012 8:22 pm

@UncleJey, it would be helpful if you gave us the actual text in the error message. If it's Construct 2's error message and not a Java error message, if you read it carefully it should tell you what to do: visit java.com, find the 64-bit version of Java (by default it gives you the 32-bit one) and install that. It's not a bug, it's just the 64-bit Construct 2 will use 64-bit Java, and by default you only get 32-bit Java installed which is the wrong one.
Scirra Founder
B
359
S
214
G
72
Posts: 22,952
Reputation: 178,630

Post » Wed Feb 01, 2012 8:31 am

B
25
S
7
G
3
Posts: 32
Reputation: 2,868

Post » Wed Feb 01, 2012 3:46 pm

install both versions of java from here:

http://www.java.com/pl/download/manual.jsp
B
81
S
50
G
10
Posts: 555
Reputation: 13,009

Post » Wed Feb 01, 2012 5:25 pm

@UncleJey, yes that error message contains the solution :) read what it says - you need to install the 64-bit version of Java.
Scirra Founder
B
359
S
214
G
72
Posts: 22,952
Reputation: 178,630

Next

Return to Closed bugs

Who is online

Users browsing this forum: No registered users and 3 guests